Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.standard.type
Class Referrer

    java.lang.Object
      |
      +--com.beanexplorer.swing.table.Option
            |
            +--ru.biosoft.access.MutableDataElementSupport
                  |
                  +--biouml.standard.type.BaseSupport
                        |
                        +--biouml.standard.type.GenericEntity
                              |
                              +--biouml.standard.type.Referrer

Direct Known Subclasses:
  DiagramDescription, Molecule, Reaction

public abstract class Referrer
extends GenericEntity

Extention of GenericEntity that contains references to other databases and literature sources.

Method Summary
`String` | `getDatabaseReferences()`
`String[]` | `getLiteratureReferences()`
`void` | `setDatabaseReferences(String databaseReferences)`
`void` | `setLiteratureReferences(String[] literatureReferences)`

Methods inherited from class biouml.standard.type.GenericEntity
`getComment, getDate, setComment, setDate`

Methods inherited from class biouml.standard.type.BaseSupport
`getTitle, getType`

Methods inherited from class ru.biosoft.access.MutableDataElementSupport
`getName, getOrigin, toString`

Methods inherited from class com.beanexplorer.swing.table.Option
`setParent, getParent, addPropertyChangeListener, removePropertyChangeListener, copyListenersTo`

Methods inherited from class java.lang.Object
`getClass, hashCode, equals, notify, notifyAll, wait, wait, wait`

Method Detail

### getDatabaseReferences

    public String getDatabaseReferences()

### getLiteratureReferences

    public String[] getLiteratureReferences()

### setDatabaseReferences

    public void setDatabaseReferences(String databaseReferences)

### setLiteratureReferences

    public void setLiteratureReferences(String[] literatureReferences)

Association Links

to Class java.lang.String

  pending make a special type for database references.

to Class java.lang.String

  Array of literature references. Each string corresponds to {@link DataElement} name from "literature" DataCollection.

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM